function Get-HashTable
{
    param
    (
        [Parameter(Mandatory=$true)]
        $Path
    )

    # gesamten Text der Datei einlesen
    $code = Get-Content -Path $Path -Raw
    # eingelesener Text ist soll der Inhalt eines Hashtables sein
    $hashtablecode = "@{$code}"

    # aus diesem Code einen Skriptblock herstellen
    $scriptblock = [ScriptBlock]::Create($hashtablecode)
    try
    {
        # enthlt der Skriptblock aktive Elemente?
        $scriptblock.CheckRestrictedLanguage([String[]]@(), [String[]]@(), $null)
        # nein, ausfhren und Hashtable generieren
        & $scriptblock
    }
    catch
    {
        # ja, nicht ausfhren
        Write-Warning "Gefhrliche Inhalte in $Path"
    }
}

