function Get-PathComponent
{
  param
  (
    [Parameter(Mandatory=$true)]
    $Path
  )

  # Informationen in einem Hashtable hinterlegen:
  $hash = [Ordered]@{
    FileName = [System.IO.Path]::GetFileName($Path)
    BaseName = [System.IO.Path]::GetFileNameWithoutExtension($Path)
    Extension = [System.IO.Path]::GetExtension($Path)
    Parent = [System.IO.Path]::GetDirectoryName($Path)
    Drive  = [System.IO.Path]::GetPathRoot($Path)
    Path = $Path
  }
  
  # Neues Objekt aus Hashtable herstellen:
  New-Object -TypeName PSObject -Property $hash
}

