#requires -Version 1

# Umgebungsvariablen im "Process"-Set
# (gelten nur fr die aktuelle Anwendung und
# alle von ihr gestarteten Anwendungen)

# anlegen:
$env:NewVariable = 'test'

# lesen:
$env:NewVariable

# lschen:
# ACHTUNG: nicht $env:NewVariable angeben, sondern env:NewVariable
# andernfalls wird der INHALT der Variablen gelesen und dieser Pfad
# gelscht!
Remove-Item -Path env:NewVariable

# Umgebungsvariablen im "User"-Set
# (gelten fr den aktuellen Anwender)

# anlegen:
[Environment]::SetEnvironmentVariable('test', '100', 'user')

# lesen:
[Environment]::GetEnvironmentVariable('test', 'user')

# lschen:
[Environment]::SetEnvironmentVariable('test', '', 'user')


# Umgebungsvariablen im "Machine"-Set
# (gelten fr alle Anwender, das Anlegen erfordert
# Administrator Rechte)

# anlegen:
[Environment]::SetEnvironmentVariable('test', '100', 'machine')

# lesen:
[Environment]::GetEnvironmentVariable('test', 'machine')

# lschen:
[Environment]::SetEnvironmentVariable('test', '', 'machine')

